<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
</head>

<body>


    <div class="header">
        <!--Content before waves-->

        <!--Waves Container-->
        <div>
            <svg class="waves" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                viewBox="0 24 150 28" preserveAspectRatio="none" shape-rendering="auto">
                <defs>
                    <path id="gentle-wave"
                        d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z" />
                </defs>
                <g class="parallax">
                    <use xlink:href="#gentle-wave" x="48" y="0" fill="rgba(255,255,255,0.7" />
                    <use xlink:href="#gentle-wave" x="48" y="3" fill="rgba(255,255,255,0.5)" />
                    <use xlink:href="#gentle-wave" x="48" y="5" fill="rgba(255,255,255,0.3)" />
                    <use xlink:href="#gentle-wave" x="48" y="7" fill="#fff" />
                </g>
            </svg>
        </div>
        <!--Waves end-->

    </div>
    <!--Header ends-->



    <div class="content">



        <!-- Optional JavaScript; choose one of the two! -->

        <!-- Option 1: Bootstrap Bundle with Popper -->
        <!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script> -->


        
        <!-- Option 2: Separate Popper and Bootstrap JS -->

        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"
            integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU"
            crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.min.js"
            integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj"
            crossorigin="anonymous"></script>



        <!-- Zone de connexion / onSubmit / Login -->
        <div class="container h-100" *ngIf="isAuthInLoginComponent == false && isAuthInLoginComponentUpdateMode == false">
            <div class="row h-100 align-items-center">
                <div class="col-12 text-center">
                    <h1 class="font-weight-light">Connexion nécessaire</h1>
                    <p class="lead">Merci de bien vouloir renseigner vos identifiants</p>
                </div>
            </div>
        </div>

        <div class="container h-100" *ngIf="isAuthInLoginComponent == false && isAuthInLoginComponentUpdateMode == false">
            <div class="row h-100 align-items-center">
                <div class="col-12 text-center">

                    <div class="form-content">
                        <div>

                            <div class="form-group">
                                <label for="password">Adresse mail</label>
                                <input id="inputFilled" type="text" class="form-control" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="emailFilled">
                            </div>

                            <div class="form-group">
                                <label for="password">Mot de passe</label>
                                <input id="inputFilled" type="password" class="form-control" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="passwordFilled">
                            </div>





                            <hr class="my-4">

                            <div class="form-group">
                                <button id="submitButton" type="button" class="btn btn-outline-primary"
                                    (click)="onConnect()">Connexion</button>
                            </div>

                            <div class="form-group">
                                <button id="submitButton" type="button" class="btn btn-outline-warning"
                                    (click)="onSubmit()">Modifier mon compte</button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br><br><br><br><br>


                        <!-- ALERT - Connexion réussie -->
                            <div *ngIf="isAuthInLoginComponent" class="alert alert-success" role="alert">
                                <h4 id="h4ConnexionSucceed" class="alert-heading">Connexion réussie !</h4>
                                <p id="pConnexionSucceed">Rendez-vous aux AnecNews !</p>
                                <!-- <hr>
                                <p class="mb-0">Whenever you need to, be sure to use margin utilities to keep things
                                    nice and tidy.</p> -->
                            </div>




        <!-- <div id="connexionDiv" class="align-items-center" *ngIf="isAuthInLoginComponent == false">
        <div>
            <div *ngIf="this.loginService.isAuth == false" class="form-inline">


            </div>


        </div>
        <div>
        </div>
    </div> -->







        <!----------------------------------------------------- Post connexion -------------------------------------------------------------->

        <!-- <div *ngIf="this.loginService.isAuth" class="font-weight-light" id="myInformations">
        <p id="helloParagraph">Mes informations :</p>
    </div> -->

        <div class="form" *ngIf="isAuthInLoginComponentUpdateMode">
            <div class="form-toggle"></div>
            <div class="form-panel one">
                <div class="form-header" *ngIf="alertConnexionMessage == false">
                    <h1 id="informationsTitle">Informations personnelles</h1>
                    <p class="lead">Merci de saisir à nouveau l'ensemble de vos informations à chaque modification</p>
                </div>
                <div class="form-content">
                    <div>

                        <div class="alert alert-success" role="alert" *ngIf="alertConnexionMessage">
                            <h4 id="alertHeading" class="alert-heading">Parfait !</h4>
                            <p>Toutes ces modifications ont été correctement enregistrées</p>
                            <hr>
                            <p class="mb-0">Nous vous laissons désormais vous reconnecter pour accéder à vos AnecNews
                                personnalisées</p>
                        </div>
                        <div class="form-group" *ngIf="alertConnexionMessage">
                            <button id="connexionAfterUpdateButton" type="button" class="btn btn-outline-primary"
                                (click)="onClickConnectAfterUpdate()">Me connecter</button>
                        </div>

                        <div *ngIf="alertConnexionMessage == false">
                            <div class="form-group">
                                <label for="password">Prénom</label>
                                <input id="inputFilled" type="text" class="form-control"
                                    placeholder="{{this.userConnectedInLoginFirstname}}" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="firstNameUpdated">
                            </div>

                            <div class="form-group">
                                <label for="password">Nom de famille</label>
                                <input id="inputFilled" type="text" class="form-control"
                                    placeholder="{{this.userConnectedInLoginLastname}}" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="lastNameUpdated">
                            </div>

                            <div class="form-group">
                                <label for="password">Préférences / Mots clés personnels</label>
                                <div class="input-group">
                                    <input id="inputFilled" type="text" class="form-control"
                                        placeholder="{{this.userConnectedInLoginPreferences[0]}}" aria-label="Username"
                                        aria-describedby="basic-addon1" [(ngModel)]="preferencesUpdatedOne">
                                </div>
                                <div class="input-group">
                                    <input id="inputFilled" type="text" class="form-control"
                                        placeholder="{{this.userConnectedInLoginPreferences[1]}}" aria-label="Username"
                                        aria-describedby="basic-addon1" [(ngModel)]="preferencesUpdatedTwo">
                                </div>
                                <div class="input-group">
                                    <input id="inputFilled" type="text" class="form-control"
                                        placeholder="{{this.userConnectedInLoginPreferences[2]}}" aria-label="Username"
                                        aria-describedby="basic-addon1" [(ngModel)]="preferencesUpdatedThree">
                                </div>


                                <!--  Améliorer l'exp user avec l'ouverture de la modification de l'ensemble des mots-clés préférés -->
                                <!-- <div class="input-group">
                                    <input id="inputFilled" type="text" class="form-control"
                                        placeholder="{{this.userConnectedInLoginPreferences[3]}}" aria-label="Username"
                                        aria-describedby="basic-addon1" [(ngModel)]="preferencesUpdatedFour">
                                </div> -->


                            </div>

                            <div class="form-group">
                                <label for="password">Adresse mail</label>
                                <input id="inputFilled" type="text" class="form-control"
                                    placeholder="{{this.userConnectedInLoginEmail}}" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="emailUpdated" disabled>
                            </div>

                            <div class="form-group">
                                <label for="password">Mot de passe</label>
                                <input id="inputFilled" type="password" class="form-control" aria-label="Username"
                                    placeholder="••••••" aria-describedby="basic-addon1" [(ngModel)]="passwordUpdated"
                                    disabled>
                            </div>

                            <hr class="my-4">

                            <div class="form-group">
                                <button id="updateButton" type="button" class="btn btn-warning"
                                    (click)="onClickUpdateButton()">Enregistrer les
                                    modification</button>
                            </div>
                            <div class="form-group">
                                <button id="deleteButton" type="button" class="btn btn-danger"
                                    (click)="onClickDeleteButton()">Supprimer mon compte</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>




    </div>




</body>



</html>